.simpledevel_theme_woocommerce{
  position: relative;
  text-align: center;
}



/*  SHOP PAGE LOOP */
.simpledevel_theme_woocommerce ul.products{
  display: flex;
  margin: 20px 0;
  padding: 0;
  list-style: none outside;
  flex-wrap: wrap;
  justify-content: space-around;
}

.simpledevel_theme_woocommerce ul.products::before{
  content: none;
}

.simpledevel_theme_woocommerce ul.products::after{
  content: none;
}

.simpledevel_theme_woocommerce .woocommerce ul.products li.product, .simpledevel_theme_woocommerce .related ul.products li.product{
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: 2px 2px 6px 1px rgba(202, 202, 204,0.8);
  border: 1px solid rgba(179, 178, 175,0.3);
  padding: 10px;
  float: none;
  margin: 10px 0;
}

.simpledevel_theme_woocommerce .woocommerce ul.products.columns-4 li.product, .simpledevel_theme_woocommerce .related ul.products.columns-4 li.product{
  width: 22.05%;
}

.simpledevel_theme_woocommerce .woocommerce ul.products.columns-3 li.product, .simpledevel_theme_woocommerce .related ul.products.columns-3 li.product{
  width: 30%;
}

@media (max-width: 800px) {
  .simpledevel_theme_woocommerce .woocommerce ul.products.columns-4 li.product, .simpledevel_theme_woocommerce .related ul.products.columns-4 li.product{
    width: 42%;
  }
  .simpledevel_theme_woocommerce .woocommerce ul.products.columns-3 li.product, .simpledevel_theme_woocommerce .related ul.products.columns-3 li.product{
    width: 42%;
  }
}

@media (max-width: 550px) {
  .simpledevel_theme_woocommerce .woocommerce ul.products.columns-4 li.product, .simpledevel_theme_woocommerce .related ul.products.columns-4 li.product{
    width: 95%;
  }
  .simpledevel_theme_woocommerce .woocommerce ul.products.columns-3 li.product, .simpledevel_theme_woocommerce .related ul.products.columns-3 li.product{
    width: 95%;
  }
}

.simpledevel_theme_woocommerce ul.products li.product a.woocommerce-loop-product__link{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.simpledevel_theme_woocommerce ul.products li.product a.woocommerce-loop-product__link > *{
  margin: 5px 0;
}

.simpledevel_theme_woocommerce ul.products li.product .woocommerce-loop-category__title, .simpledevel_theme_woocommerce ul.products li.product .woocommerce-loop-product__title, .simpledevel_theme_woocommerce ul.products li.product h3 {
  padding: .5em 0;
  margin: 0;
  font-size: 1em;
}

.simpledevel_theme_woocommerce ul.products li.product .woocommerce-loop-product__title{
  line-height: unset;
  font-size: 1rem;
  padding: 0;
}

.simpledevel_theme_woocommerce ul.products li.product a.woocommerce-loop-product__link{
  display: flex;
  flex-direction: column;
}

.simpledevel_theme_woocommerce ul.products li.product a.button{
  margin-top: 10px;
}
/*  SHOP PAGE LOOP END */

/*  PRODUCT PAGE */

  .simpledevel_theme_woocommerce div.product {
    margin: 20px;
    max-width: 1150px;
    display: inline-block;
  }

  .simpledevel_theme_woocommerce div.product.simpledevel_woocommerce_no_just_gutenberg {
    margin: 20px;
    max-width: 1150px;
    display: inline-grid;
    grid-template-areas:
      "gallery summary"
      "tabs tabs"
      "related related";
    grid-column-gap: 30px;
    grid-row-gap: 20px;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery {
    grid-area: gallery;
  }

  .simpledevel_theme_woocommerce div.product .summary {
    text-align: initial;
    grid-area: summary;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs {
    grid-area: tabs;
  }

  .simpledevel_theme_woocommerce div.product .related {
    grid-area: related;
  }

 @media (max-width: 930px) {
  .simpledevel_theme_woocommerce div.product.simpledevel_woocommerce_no_just_gutenberg {
    grid-template-areas:
      "summary"
      "gallery"
      "tabs"
      "related";
    grid-template-columns: 1fr;
  }
}

  /* Gallery */

  .simpledevel_theme_woocommerce div.product a.woocommerce-product-gallery__trigger {
    display: none;
  }

  .simpledevel_theme_woocommerce div.product figure.woocommerce-product-gallery__wrapper img {
    width: 100%;
    cursor: pointer;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery .flex-control-nav {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 20px 0;
    padding: 0;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery .flex-control-nav li {
    margin: 0 2px;
    cursor: pointer;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery .flex-control-nav li img {
    opacity: 0.6;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery .flex-control-nav li img:hover {
    opacity: 1;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery .flex-control-nav li img.flex-active {
    opacity: 1;
  }

  /* Gallery END */

 /* Gallery as Gutenberg bolck */
  .simpledevel_theme_woocommerce .woocommerce div.product .woocommerce-product-gallery {
  grid-area: gallery;
  }

  .simpledevel_theme_woocommerce .woocommerce div.product a.woocommerce-product-gallery__trigger {
    display: none;
  }

  .simpledevel_theme_woocommerce .woocommerce div.product figure.woocommerce-product-gallery__wrapper img {
    width: 100%;
    cursor: pointer;
  }

  .simpledevel_theme_woocommerce .woocommerce div.product .woocommerce-product-gallery .flex-control-nav {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 20px 0;
    padding: 0;
  }

  .simpledevel_theme_woocommerce .woocommerce div.product .woocommerce-product-gallery .flex-control-nav li {
    margin: 0 2px;
    cursor: pointer;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-product-gallery .flex-control-nav li img {
    opacity: 0.6;
  }

  .simpledevel_theme_woocommerce .woocommerce div.product .woocommerce-product-gallery .flex-control-nav li img:hover {
    opacity: 1;
  }

  .simpledevel_theme_woocommerce .woocommerce div.product .woocommerce-product-gallery .flex-control-nav li img.flex-active {
    opacity: 1;
  }

  /* Gallery END */

  /* Summary */

  .simpledevel_theme_woocommerce div.product .summary .product_title {
    margin-left: -10px;
    font-size: 36px;
  }

/** TURITOP **/
  .simpledevel_theme_woocommerce div.product .turitop_booking_system_button_woocommerce_wrap .turitop_bswp_button_box_wrap{
    text-align: left;
  }

  .simpledevel_theme_woocommerce div.product .turitop_booking_system_box_woocommerce_wrap .turitop_booking_system_box_button{
    text-align: center;
  }
/** TURITOP END **/

  .simpledevel_theme_woocommerce div.product .summary .woocommerce-product-rating{
    margin: 20px 0;
  }
  /* Summary END */

  /* TABS */
  .simpledevel_theme_woocommerce div.product .woocommerce-tabs ul.tabs {
    list-style: none;
    padding: 0 0 0 10px;
    margin: 0 0 1.618em;
    overflow: hidden;
    position: relative;
    display: flex;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs ul.tabs::before {
    position: absolute;
    content: " ";
    width: 100%;
    bottom: 0;
    left: 0;
    border-bottom: 1px solid #d3ced2;
    z-index: 1;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs ul.tabs li {
    border: 1px solid #d3ced2;
    background-color: #ebe9eb;
    display: inline-block;
    position: relative;
    z-index: 0;
    border-radius: 4px 4px 0 0;
    margin: 0 5px;
    padding: 5px 15px;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs ul.tabs li.active {
      background: #fff;
      z-index: 2;
      border-bottom-color: #fff;
  }
  /* TABS END */

  /* Tabs-panel */
  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .panel {
      text-align: initial;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .panel > * {
    margin-left: 10px;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .panel h2 {
    font-size: 1.75rem;
    margin-left: 0;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .panel .woocommerce-noreviews{
    margin-left: 10px;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .panel #review_form_wrapper{
    margin-left: 10px;
  }
  /* Tabs-panel END */

  /* Related products */
  .simpledevel_theme_woocommerce div.product .related {
      text-align: initial;
  }

  .simpledevel_theme_woocommerce div.product .related h2{
      font-size: 1.75rem;
  }
  /* Related products END */

  /* Comments */

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs form.comment-form{
    margin-top: 20px;
  }

  .simpledevel_theme_woocommerce p.stars a {
    position: relative;
    height: 1em;
    width: 1em;
    text-indent: -999em;
    display: inline-block;
    text-decoration: none;
    color: #007acc;
  }

  .simpledevel_theme_woocommerce p.stars a:hover {
    color: #ff671f;
  }

  .simpledevel_theme_woocommerce p.stars.selected a.active~a::before {
    content: "\e021";
  }

  .simpledevel_theme_woocommerce p.stars.selected a.active::before {
      content: "\e020";
  }

  .simpledevel_theme_woocommerce p.stars.selected a:not(.active)::before {
      content: "\e020";
  }

  .simpledevel_theme_woocommerce p.stars a::before {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 1em;
    height: 1em;
    line-height: 1;
    font-family: WooCommerce;
    content: "\e021";
    text-indent: 0;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-reply-title{
    font-size: 1.4375rem;
    font-weight: 700;
    line-height: 1.3125;
    padding-top: 1.217391304em;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form label {
    color: #686868;
    display: block;
    font-size: 13px;
    font-size: 0.8125rem;
    letter-spacing: 0.076923077em;
    line-height: 1.6153846154;
    margin-bottom: 0.5384615385em;
    text-transform: uppercase;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form-comment textarea{
    width: 80%;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form-author input{
    width: 300px;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form-email input{
    width: 300px;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form-cookies-consent{
    display: flex;
    align-items: flex-start;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form-cookies-consent{
    display: flex;
    align-items: flex-start;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .comment-form-cookies-consent input{
    margin-top: 5px;
  }
  /* Comments END */

  /* Comments list */
  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .commentlist {
    list-style: none;
    display: flex;
    flex-direction: column;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .commentlist li {
    margin: 15px 0;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .commentlist li .comment_container {
    display: flex;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .commentlist li .comment_container > *{
    margin: 0 10px;
  }

  .simpledevel_theme_woocommerce #reviews #comments ol.commentlist li img.avatar {
    width: 40px;
    height: 40px;
    border-radius: 20px;
    background: #ebe9eb;
    border: 1px solid #e4e1e3;
    margin: 0;
    box-shadow: none;
  }

  .simpledevel_theme_woocommerce #reviews #comments ol.commentlist li .comment-text {
    border: 1px solid #e4e1e3;
    border-radius: 4px;
    padding: 1em 1em 0;
    width: 100%;
  }

  .simpledevel_theme_woocommerce .star-rating {
    float: right;
    overflow: hidden;
    position: relative;
    height: 1em;
    line-height: 1;
    font-size: 1em;
    width: 5.4em;
    font-family: star;
  }

  .simpledevel_theme_woocommerce .star-rating::before {
    content: "\73\73\73\73\73";
    color: #d3ced2;
    float: left;
    top: 0;
    left: 0;
    position: absolute;
  }

  .simpledevel_theme_woocommerce .star-rating span {
    overflow: hidden;
    float: left;
    top: 0;
    left: 0;
    position: absolute;
    padding-top: 1.5em;
  }

  .simpledevel_theme_woocommerce .star-rating span::before {
    content: "\53\53\53\53\53";
    top: 0;
    position: absolute;
    left: 0;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .woocommerce-review__author{
    font-weight: 700;
    font-size: .83em;
    color: #777;
  }

  .simpledevel_theme_woocommerce div.product .woocommerce-tabs .woocommerce-review__published-date{
    font-size: .83em;
    color: #777;
  }
  /* Comments list END */

/*  PRODUCT PAGE END */

/*  NAVIGATION */
.woocommerce-pagination ul.page-numbers {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px;
}

.woocommerce-pagination ul.page-numbers li {
  margin: 0 5px;
}

.woocommerce-pagination ul.page-numbers li span.current{
  color: #4dbecf;
  font-weight: bold;
}

.woocommerce-pagination ul.page-numbers li a.prev{
  position: relative;
  top: -3px;
}

.woocommerce-pagination ul.page-numbers li a.next{
  position: relative;
  top: -3px;
}
/*  NAVIGATION END */

/* WOOCOMMERCE BLOCK */
.simpledevel_theme_woocommerce_summary .woocommerce-tabs, .simpledevel_theme_woocommerce_summary .related{
  display: none;
}

.simpledevel_theme_woocommerce_whole_content .woocommerce-tabs, .simpledevel_theme_woocommerce_whole_content .related{

}
/* WOOCOMMERCE BLOCK END */

/* WOOCOMMERCE PRODUCT CATEGROY LOOP */

.simpledevel_theme_woocommerce ul.products li.product-category a{
  position: relative;
}

.simpledevel_theme_woocommerce ul.products li.product-category a img{
  filter: brightness( 80% );
}

.simpledevel_theme_woocommerce ul.products li.product-category .simpledevel_theme_category_content{
  position: absolute;
  top: 50%;
  transform: translateY( -50% );
  width: 100%;
  color: white;
}

.simpledevel_theme_woocommerce ul.products li.product-category .simpledevel_theme_category_content h2.simpledevel_theme_category_content_title{
  font-size: 15px;
}

.simpledevel_theme_woocommerce ul.products li.product-category .simpledevel_theme_category_content .simpledevel_theme_category_content_description{
  display: none;
}

.simpledevel_theme_woocommerce ul.products li.product-category .woocommerce-loop-category__title{
  display: none;
}

.simpledevel_theme_woocommerce ul.products li.product-category:hover a img{
  filter: brightness( 60% );
}

.simpledevel_theme_woocommerce ul.products li.product-category:hover .simpledevel_theme_category_content h2.simpledevel_theme_category_content_title{
  text-decoration: underline;
}

.simpledevel_theme_woocommerce ul.products li.product-category:hover .simpledevel_theme_category_content .simpledevel_theme_category_content_description{
  display: block;
}

/* WOOCOMMERCE PRODUCT CATEGROY LOOP END*/

/* WOOCOMMERCE PRODUCTS CATEGROY SLIDER */

.simpledevel_theme_woocommerce_products_slider ul.products li.product{
  box-shadow: none;
  border: none;
  width: 100%;
}

.simpledevel_theme_woocommerce_products_slider ul.products li.product a img{
  width: 500px;
  filter: brightness( 80% );
}

.simpledevel_theme_woocommerce_products_slider ul.products li.product a.button{
  display: none;
}

.simpledevel_theme_woocommerce_products_slider ul.products li.product span.price{
  display: none;
}

.simpledevel_theme_woocommerce_products_slider ul.products li.product h2.woocommerce-loop-product__title{
  position: absolute;
  top: 50%;
  transform: translateY( -50% );
  color: white;
  font-weight: bold;
  font-size: 150%;
}

/* WOOCOMMERCE PRODUCTS CATEGROY SLIDER END */

/* OVER CSS RULES FOR SHORTCODE product_page */
.simpledevel_theme_woocommerce .woocommerce #content div.product div.images, .simpledevel_theme_woocommerce .woocommerce div.product div.images, .simpledevel_theme_woocommerce .woocommerce-page #content div.product div.images, .simpledevel_theme_woocommerce .woocommerce-page div.product div.images {
    float: none;
    width: auto;
}

.simpledevel_theme_woocommerce .woocommerce #content div.product div.summary, .simpledevel_theme_woocommerce .woocommerce div.product div.summary, .simpledevel_theme_woocommerce .woocommerce-page #content div.product div.summary, .simpledevel_theme_woocommerce .woocommerce-page div.product div.summary {
    float: none;
    width: auto;
}
/* OVER CSS RULES FOR SHORTCODE product_page END */

/* CHECKOUT PAGE */

.simpledevel_theme_main .woocommerce{
  max-width: 1150px;
  display: block;
  position: relative;
  left: 48%;
  transform: translateX( -50% );
  margin: 20px 20px;
}

form.woocommerce-checkout{
  display: grid;
  grid-template-areas:
    "customer_details order_review_heading" "customer_details order_review";
  grid-template-columns: 50% 50%;
  grid-template-rows: 40px auto;
}

.simpledevel_theme_main .woocommerce #customer_details{
  grid-area: customer_details;
}

.simpledevel_theme_main .woocommerce #order_review_heading{
  grid-area: order_review_heading;
}

.simpledevel_theme_main .woocommerce #order_review{
  grid-area: order_review;
  margin-top: 15px;
}

.simpledevel_theme_main .woocommerce #customer_details .input-text{
  max-width: 500px;
}

.simpledevel_theme_main .woocommerce #customer_details .woocommerce-billing-fields__field-wrapper{
  margin-top: 10px;
}

.simpledevel_theme_main .woocommerce #customer_details .col-1{
  float: none;
  width: auto;
}

.simpledevel_theme_main .woocommerce #customer_details .col-2{
  margin-top: 30px;
  float: none;
  width: auto;
}

#billing_first_name_field{
  float: none;
  width: auto;
}

#billing_last_name_field{
  float: none;
  width: auto;
}

.simpledevel_theme_main .woocommerce #customer_details .woocommerce-additional-fields__field-wrapper{
  margin-top: 10px;
}

.simpledevel_theme_main .woocommerce #customer_details .form-row label{
  display: block;
}

.simpledevel_theme_main .woocommerce #customer_details .woocommerce-input-wrapper{
  margin-top: 5px;
}

.simpledevel_theme_main .woocommerce #customer_details .select2{
  max-width: 500px;
}

.simpledevel_theme_main .woocommerce #customer_details .form-row{
  margin-bottom: 5px;
}

.woocommerce form .form-row .required {
  visibility: visible;
  color: red;
  font-weight: 700;
  border: 0 !important;
  text-decoration: none;
}

.simpledevel_theme_main .woocommerce #payment{
  border: .0625rem solid #e6e4eb;
  background-color: #fff;
  border-radius: .375rem;
  box-shadow: 0 4px 14px 0 rgba(37,32,31,.25);
  padding: 15px 20px;
}

.simpledevel_theme_main .woocommerce #payment ul{
  list-style: none;
  padding: 0;
}

li.payment_method_stripe > label{
  font-weight: bold;
}

.woocommerce-checkout #payment div.payment_box::before {
  content: none;
}

.woocommerce-checkout #payment div.payment_box {
  border-radius: .375rem;
  line-height: 1.5;
  background-color: white;
  color: #515151;
}

.payment_box{
  margin-top: 10px;
  margin-bottom: 0px;
  background: #FAFAFA;
  border: 1px solid #e8e8e8;
  border-radius: .375rem;
  box-shadow: 0 1px 1px 0 rgba(37,32,31,.25);
  position: relative;
  overflow: visible;
  padding: 10px;
}

#wc-stripe-cc-form{
  border: 0;
  margin: 0;
  padding: 0;
}

.simpledevel_theme_main .woocommerce-checkout #payment div.payment_box .form-row {
    margin: 0;
    padding: 0;
}

.simpledevel_theme_main .woocommerce #payment #place_order, .woocommerce-page #payment #place_order{
  position: relative;
  transform: translateX( -50% );
  left: 50%;
  float: none;
}

.simpledevel_theme_main .woocommerce #payment .stripe-source-errors{
  margin-top: 20px;
}

.simpledevel_theme_main .woocommerce .woocommerce-error li {
  padding: 11px 0 0 45px !important;
}

@media (max-width: 1100px) {

  .simpledevel_theme_main .woocommerce #customer_details .input-text{
    max-width: 400px;
  }

  .simpledevel_theme_main .woocommerce #customer_details .select2{
    max-width: 400px;
  }

}

@media (max-width: 900px) {

  form.woocommerce-checkout{
    grid-template-areas:
      "customer_details"
      "order_review_heading"
      "order_review";
    grid-template-columns: auto;
    grid-template-rows: auto;
  }

  .simpledevel_theme_main .woocommerce #customer_details .input-text{
    max-width: 500px;
  }

  .simpledevel_theme_main .woocommerce #customer_details .select2{
    max-width: 500px;
  }

  .simpledevel_theme_main .woocommerce{
    margin: 20px 20px 20px 10px;
  }

}

/* CHECKOUT PAGE END */
